Album: Doctor (Raid Remix)
Style: single
Artists:
- Raid
Date: October 25, 2020
Date Added: January 30, 2025
URLs:
- https://rudecustard.bandcamp.com/track/doctor-raid-remix
- https://www.youtube.com/watch?v=sOb95BdDAXA
- https://open.spotify.com/album/26ZXe4JZOgwLFdgjitewcV
Cover Artwork:
- Dimensions: 1402x1401
  Artists:
  - Raid
  - Homestuck
  Tags:
  - LoWaS
  Origin Details: >-
    From [page 2969](https://homestuck.com/story/2969)
Color: '#4f8bd6'
Groups:
- Raid
- Fandom
Wallpaper Artists:
- Homestuck
- Niklink (edits for wiki)
Wallpaper Style: |-
    opacity: 0.8;
    background-repeat: no-repeat;
    background-size: 700px;
Wallpaper File Extension: png
---
Track: Doctor (Raid Remix)
Duration: 6:12
Referenced Tracks:
- Doctor
- Green Ghost
- Savior of the Waking World
- Atomic Bonsai
Commentary: |-
    <i>Raid:</i> ([Bandcamp about blurb](https://rudecustard.bandcamp.com/track/doctor-raid-remix))

    This is a remix of [[track:doctor|"Doctor,"]] composed by [[artist:buzinkai]] for Homestuck. Doctor is possibly my favorite Homestuck track of all time and I wanted to pay my respects by producing a remix. This is the first proper EDM track I've done, with a legit structure, motivic development, section transitions, and all that. I did a ton of Googling how to use Ableton plugins and effects and instruments to make this track. I'm not usually very proud of my own work, but I really like this remix. I put a great amount of effort into it. I hope you like it too!

    <i>Raid:</i> ([YouTube description](https://www.youtube.com/watch?v=sOb95BdDAXA), excerpt)

    Another year, another 10/25. I made a harsh, mean, bass-heavy remix of my favorite piece a' Homestuck music. I like how it turned out. Even did a cheap little visualizer video with changing colors and shit, kinda like those old independent EDM channels on YouTube used to do.

    This is the first complete track I've ever produced, with a beginning, middle, and end! Big milestone for me as a producer. I still have light-years to go, though. There's much improvement for me to be had. You ain't seen shit yet.

    Been working on this thing on and off since August. Somehow managed to wrap it up in a "timely" fashion, despite school absolutely kicking my ass for the past few weeks. Organic chemistry is a bitch, you know that? Man. School sucks.

    Oh yeah, one last thing. Did you notice that the track is 6 minutes and 12 seconds long? Lol. I had to pack the ending piano solo in a little more tightly than I'd wanted to in order to fit within that time limit. But it worked out!

    Credit for the image used in the visualizer goes to [[artist:andrew-hussie]]. As far as I know, he made all the original art for the planets and pretty much everything else before Act 6, before he started bringing other artists and animators on to collaborate. So this .gif of Land of Wind and Shade on fire must be his doing.
